Bug 1737823 - mcomix depends on Python 2
Summary: mcomix depends on Python 2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mcomix
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL 1751491
TreeView+ depends on / blocked
 
Reported: 2019-08-06 09:36 UTC by Lumír Balhar
Modified: 2019-11-26 07:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-26 07:05:44 UTC


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-06 09:36:26 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for mcomix's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) [remove if clear]

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to mcomix.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Ben Cotton 2019-08-13 16:52:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 17:54:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Lumír Balhar 2019-08-14 09:07:07 UTC
Please answer the above questions. If you don't the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, please let us know.

Comment 4 Mamoru TASAKA 2019-08-19 12:07:29 UTC
Please do understand that replying to more than 10 bugs with multiple questions in 2 weeks (3 comments means 2 weeks) is really hard for volunteers, thank you. And I may forget some bugs.

Comment 5 Mamoru TASAKA 2019-08-19 12:16:39 UTC
Note that mcomix seems to have upstream branch for python3 porting, so I may try it first.

Comment 6 Lumír Balhar 2019-08-26 13:45:31 UTC
Thank you. Let me know if you need any help.

Comment 7 Lumír Balhar 2019-09-03 09:59:07 UTC
Anything new here?

Comment 8 Mamoru TASAKA 2019-09-08 10:30:42 UTC
I can do just one by one. While I've already imported some packages from python2 to python3, now I am doing some ruby stuff.

Comment 9 Mamoru TASAKA 2019-09-09 10:45:45 UTC
Once again, while I am going to work on this, I can do only one by one.

Comment 10 Mamoru TASAKA 2019-09-10 08:20:45 UTC
- This package is written in python2
- The upstream is no active
- There is "mcomix3" https://github.com/multiSnow/mcomix3 , so first I try it, and if that works, I will write review request and if it passes, just make this obsoleted by mcomix3. If not, I will try importing comix into python3

Comment 11 Lumír Balhar 2019-09-10 09:55:30 UTC
Thank you!

Comment 12 Mamoru TASAKA 2019-11-04 13:32:10 UTC
I would appreciate it if someone would review bug 1768447 , which is intended to replace this package on F32.

Comment 13 Mamoru TASAKA 2019-11-09 02:50:01 UTC
mcomix3 (bug bug 1768447 ) was built on rawhide, which should obsolete this package. Now I am waiting for next compose to verify it.

Comment 14 Mamoru TASAKA 2019-11-26 07:05:44 UTC
This is retired, replaced by mcomix3.


Note You need to log in before you can comment on or make changes to this bug.